Package org.opensaml.xmlsec.signature.impl

# Class PGPDataImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.PGPDataImpl

All Implemented Interfaces:
  `ElementExtensibleXMLObject`, `XMLObject`, `PGPData`

public class PGPDataImpl extends AbstractXMLObject implements PGPData
Concrete implementation of `PGPData`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private PGPKeyID`
`pgpKeyID`
PGPKeyID child element value.
`private PGPKeyPacket`
`pgpKeyPacket`
PGPKeyPacket child element value.
`private final IndexedXMLObjectChildrenList<XMLObject>`
`xmlChildren`
List of <any> wildcard XMLObject children.

### Fields inherited from interface org.opensaml.xmlsec.signature.PGPData

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PGPDataImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`PGPKeyID`
`getPGPKeyID()`
Get PGPKeyID child element.
`PGPKeyPacket`
`getPGPKeyPacket()`
Get PGPKeyPacket child element.
`List<XMLObject>`
`getUnknownXMLObjects()`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.
`List<XMLObject>`
`getUnknownXMLObjects(QName typeOrName)`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.
`void`
`setPGPKeyID(PGPKeyID newPGPKeyID)`
Set PGPKeyID child element.
`void`
`setPGPKeyPacket(PGPKeyPacket newPGPKeyPacket)`
Set PGPKeyPacket child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### pgpKeyID

@Nullable private PGPKeyID pgpKeyID
PGPKeyID child element value.

### pgpKeyPacket

@Nullable private PGPKeyPacket pgpKeyPacket
PGPKeyPacket child element value.

### xmlChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> xmlChildren
List of <any> wildcard XMLObject children.

## Constructor Details

### PGPDataImpl

protected PGPDataImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getPGPKeyID

@Nullable public PGPKeyID getPGPKeyID()
Get PGPKeyID child element.

Specified by:
  `getPGPKeyID` in interface `PGPData`
Returns:
  the PGPKeyID child element

### setPGPKeyID

public void setPGPKeyID(@Nullable PGPKeyID newPGPKeyID)
Set PGPKeyID child element.

Specified by:
  `setPGPKeyID` in interface `PGPData`
Parameters:
  `newPGPKeyID` - the new PGPKeyID

### getPGPKeyPacket

@Nullable public PGPKeyPacket getPGPKeyPacket()
Get PGPKeyPacket child element.

Specified by:
  `getPGPKeyPacket` in interface `PGPData`
Returns:
  the PGPKeyPacket child element

### setPGPKeyPacket

public void setPGPKeyPacket(@Nullable PGPKeyPacket newPGPKeyPacket)
Set PGPKeyPacket child element.

Specified by:
  `setPGPKeyPacket` in interface `PGPData`
Parameters:
  `newPGPKeyPacket` - the new PGPKeyPacket

### getUnknownXMLObjects

@Nonnull @Live public List<XMLObject> getUnknownXMLObjects()
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model

### getUnknownXMLObjects

@Nonnull @Live public List<XMLObject> getUnknownXMLObjects(@Nonnull QName typeOrName)
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model TODO: think this should be typed List<? extends XMLObject>

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements